AAA = 0;
STA = 1;
INT = 2;
STR = 3;
HST = 4;
AGI = 5;
VER = 6;
CRI = 7;
MAS = 8;
DDG = 9;
PAR = 10;
BLK = 11;
RES = 12;
PVP = 13;

EGL_Stat = {
	[AAA] = _G["ALL"],
	[STA] = _G["ITEM_MOD_STAMINA_SHORT"],
	[INT] = _G["ITEM_MOD_INTELLECT_SHORT"],
	[STR] = _G["ITEM_MOD_STRENGTH_SHORT"],
	[HST] = _G["ITEM_MOD_HASTE_RATING_SHORT"],
	[AGI] = _G["ITEM_MOD_AGILITY_SHORT"],
	[CRI] = _G["ITEM_MOD_CRIT_RATING_SHORT"],
	[MAS] = _G["ITEM_MOD_MASTERY_RATING_SHORT"],
	[DDG] = _G["ITEM_MOD_DODGE_RATING_SHORT"],
	[PAR] = _G["ITEM_MOD_PARRY_RATING_SHORT"],
	[BLK] = _G["ITEM_MOD_BLOCK_RATING_SHORT"],
	[VER] = _G["ITEM_MOD_VERSATILITY"],
	[RES] = _G["ITEM_MOD_RESILIENCE_RATING_SHORT"],
	[PVP] = _G["ITEM_MOD_PVP_POWER_SHORT"]
	
}

EGL_Slot = {
	[0] = _G["ALL"],
    [1] = _G["META_GEM"]
}

EGL_Quali = {
	[0] = _G["ALL"],
	[1] = _G["ITEM_QUALITY_COLORS"][2].hex.._G["ITEM_QUALITY2_DESC"],  -- "Selten";
	[2] = _G["ITEM_QUALITY_COLORS"][3].hex.._G["ITEM_QUALITY3_DESC"], -- "Rar";
	[3] = _G["ITEM_QUALITY_COLORS"][4].hex.._G["ITEM_QUALITY4_DESC"], -- "Episch";
	[4] = _G["ITEM_QUALITY_COLORS"][5].hex.._G["ITEM_QUALITY5_DESC"] -- "Legendär";
}

EGL_Level = {
	[0] = _G["ALL"],
	[1] = "BC",
	[2] = "WotLK",
	[3] = "Cataclysm",
	[4] = "Panda",
	[5] = "WoD",
	[6] = "Legion"
}

EGL_Op = {
	[0] = "=",
	[1] = ">=",
	[2] = "<="
}


-- JC CHECKBUTTON ------------------------------------------------

function EGL_CheckButton_OnClick(this)
	if CheckButtonJC:GetChecked() then
		EGL_Options["jc"] = true;
		if (EGL_Options["cataclysm"]) then
			EGL_Options["jc_cata"] = true;
		end
	else 
		EGL_Options["jc"] = false;
		EGL_Options["jc_cata"] = false;
	end
	EGL_ScrollBar_Update();
end

-- DETAILS CHECKBUTTON ------------------------------------------------

function EGL_CheckButtonDetails_OnClick(this)
	local i;
	if CheckButtonDetails:GetChecked() then
		EGL_Options["details"] = true;
	else 
		EGL_Options["details"] = false;
	end
	for i = 1, 15 do
		item = _G["EGLItem_"..i];
		item:Hide();
	end
	EGL_ScrollBar_Update();
end

-- SLOT DROPDOWN ------------------------------------------------

function EGL_SlotDropDown_Init()
	local entries = table.getn(EGL_Slot);
	for i=0,entries do
		info = {};
		value = i;
		text = EGL_Slot[i];
		info.value = value;
		info.text = text;
		info.func = EGL_SlotDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EGL_SlotDropDown_OnShow()
    UIDropDownMenu_Initialize(EGL_SlotDropDown, EGL_SlotDropDown_Init);
    UIDropDownMenu_SetSelectedID(EGL_SlotDropDown, EGL_Options["SelectedSlot"]+1);
    UIDropDownMenu_SetWidth(EGL_SlotDropDown, 70);
    EGL_ScrollBar_Update();
end

function EGL_SlotDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EGL_SlotDropDown, i);
    EGL_Options["SelectedSlot"] = i-1;
    EGL_ScrollBar_Update();
end

-- STAT DROPDOWN ------------------------------------------------

function EGL_StatDropDown_Init()
	local entries = table.getn(EGL_Stat);
	for i=0,entries do
		info = {};
		info = UIDropDownMenu_CreateInfo();
		value = i;
		text = EGL_Stat[i];
		info.text = text;
		info.value = value;
		info.func = EGL_StatDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EGL_StatDropDown_OnShow()
	-- Nasty "hack", load Blizzard_Calendar if not loaded,
	-- for it to secure init 24 dropdown menu buttons,
	-- to avoid action blocked by tainting
	if not IsAddOnLoaded("Blizzard_Calendar") then
		LoadAddOn("Blizzard_Calendar")
	end
    UIDropDownMenu_Initialize(EGL_StatDropDown, EGL_StatDropDown_Init);
    UIDropDownMenu_SetSelectedID(EGL_StatDropDown, EGL_Options["SelectedStat"]+1);
    UIDropDownMenu_SetWidth(EGL_StatDropDown, 150);
    EGL_ScrollBar_Update();
end

function EGL_StatDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EGL_StatDropDown, i);
    EGL_Options["SelectedStat"] = i-1;
    EGL_ScrollBar_Update();
end

-- QUALI OP ------------------------------------------------

function EGL_QualiOp_Init()
	local entries = table.getn(EGL_Op);
	for i=0,entries do
		info = {};
		value = i;
		text = EGL_Op[i];
		info.value = value;
		info.text = text;
		info.func = EGL_QualiOp_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EGL_QualiOp_OnShow()
    UIDropDownMenu_Initialize(EGL_QualiOp, EGL_QualiOp_Init);
    UIDropDownMenu_SetSelectedID(EGL_QualiOp, EGL_Options["SelectedQualiOp"]+1);
    UIDropDownMenu_SetWidth(EGL_QualiOp, 40);
    EGL_ScrollBar_Update();
end

function EGL_QualiOp_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EGL_QualiOp, i);
    EGL_Options["SelectedQualiOp"] = i-1;
    EGL_ScrollBar_Update();
end

-- QUALITY DROPDOWN ------------------------------------------------

function EGL_QualiDropDown_Init()
	local entries = table.getn(EGL_Quali);
	for i=0,entries do
		info = {};
		value = i;
		text = EGL_Quali[i];
		info.text = text;
		info.value = value;
		info.func = EGL_QualiDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EGL_QualiDropDown_OnShow()
    UIDropDownMenu_Initialize(EGL_QualiDropDown, EGL_QualiDropDown_Init);
    UIDropDownMenu_SetSelectedID(EGL_QualiDropDown, EGL_Options["SelectedQuali"]+1);
    UIDropDownMenu_SetWidth(EGL_QualiDropDown, 80);
    EGL_ScrollBar_Update();
end

function EGL_QualiDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EGL_QualiDropDown, i);
    EGL_Options["SelectedQuali"] = i-1;
    EGL_ScrollBar_Update();
end

-- LEVEL OP ------------------------------------------------

function EGL_LevelOp_Init()
	local entries = table.getn(EGL_Op);
	for i=0,entries do
		info = {};
		value = i;
		text = EGL_Op[i];
		info.value = value;
		info.text = text;
		info.func = EGL_LevelOp_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EGL_LevelOp_OnShow()
    UIDropDownMenu_Initialize(EGL_LevelOp, EGL_LevelOp_Init);
    UIDropDownMenu_SetSelectedID(EGL_LevelOp, EGL_Options["SelectedLevelOp"]+1);
    UIDropDownMenu_SetWidth(EGL_LevelOp, 40);
    EGL_ScrollBar_Update();
end

function EGL_LevelOp_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EGL_LevelOp, i);
    EGL_Options["SelectedLevelOp"] = i-1;
    EGL_ScrollBar_Update();
end

-- ITEMLEVEL DROPDOWN ------------------------------------------------

function EGL_LevelDropDown_Init()
	local entries = table.getn(EGL_Level);
	if (EGL_Options["cataclysm"] == false) then
		entries = entries - 1;
	end
	for i=0,entries do
		info = {};
		value = i;
		text = EGL_Level[i];
		info.text = text;
		info.value = value;
		info.func = EGL_LevelDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EGL_LevelDropDown_OnShow()
    UIDropDownMenu_Initialize(EGL_LevelDropDown, EGL_LevelDropDown_Init);
    UIDropDownMenu_SetSelectedID(EGL_LevelDropDown, EGL_Options["SelectedLevel"]+1);
    UIDropDownMenu_SetWidth(EGL_LevelDropDown, 80);
    EGL_ScrollBar_Update();
end

function EGL_LevelDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EGL_LevelDropDown, i);
    EGL_Options["SelectedLevel"] = i-1;
    EGL_ScrollBar_Update();
end

